#pragma once

#include "foundation/math/Geometry.h"

namespace ta::foundation::math
{
    inline float distance_sq(const ta::foundation::math::Vector3& a,
                             const ta::foundation::math::Vector3& b) noexcept
    {
        const float dx = a.x - b.x;
        const float dy = a.y - b.y;
        const float dz = a.z - b.z;
        return dx * dx + dy * dy + dz * dz;
    }
}
